/*
  Name:    Interface.h
  Created: 01.06.2016
  Author:  Roman Schönfeld & Daniel Hausherr
*/

/***********************************************************************************************
  This work is licensed under a Creative Commons Attribution 4.0 International (CC BY 4.0) License.

  You are free to:

  Share — copy and redistribute the material in any medium or format
  Adapt — remix, transform, and build upon the material
  for any purpose, even commercially.

  The licensor cannot revoke these freedoms as long as you follow the license terms.

  Under the following terms:

  Attribution — You must give appropriate credit, provide a link to the license, and indicate if
  changes were made. You may do so in any reasonable manner, but not in any way that suggests
  the licensor endorses you or your use.

  No additional restrictions — You may not apply legal terms or technological measures that
  legally restrict others from doing anything the license permits.

  Credits:
  Laboratory for Physics and Illumination Technologies,
  University of Applied Sciences Southern Westfalia
  Germany

  Make Light! Support by the BMBF in the development of this device is gratefully acknowledged
***************************************************************************************************/
#ifndef _INTERFACE_h
#define _INTERFACE_h

#if defined(ARDUINO) && ARDUINO >= 100
#include "arduino.h"
#else
#include "WProgram.h"
#endif

extern struct Menu m_main[];
extern struct Menu m_display[];
extern struct Menu m_channel[];
extern struct Menu m_measurement[];
extern struct Menu m_brightness[];
extern struct Menu m_setting[];
extern struct Menu m_wavelenght[];
extern struct Menu m_detector[];


extern struct MenueEntry display[];
extern struct MenueEntry channel[];
extern struct MenueEntry measurement[];
extern struct MenueEntry hauptmenu[];
extern struct MenueEntry brightness[];
extern struct MenueEntry setting[];
extern struct MenueEntry wavelenght[];
extern struct MenueEntry detector[];


/***************************************************************************************************
**  init_menu
**
**  Initialisiert die Struktur des Menues
**
**  Input:  None
**  Output: None
***************************************************************************************************/
extern void init_menu();

/***************************************************************************************************
**  navigation_menue
**
**	Ruft abhängig vom Zustand des Joysticks eine Funktion auf 
**
**  Input:  position Beinhaltet den Zustand des Joysticks
**  Output: None
***************************************************************************************************/
extern void navigation_menue(uint8_t p_position);

#endif
